#
# Configures prompt:
#
# 1) Fully qualified hostname in prompt to more precisely know which server.
#
# 2) Red background to highlight operating as root.
#
# See /etc/csh.cshrc
#
if ($?prompt) then
  if ($?tcsh) then
    set prompt="%{`tput bold``tput setaf 7``tput setab 1`%}"'[%n@%M %c]%#'"%{`tput sgr0`%} "
  endif
  if ($?TERM) then
    switch($TERM)
      case xterm*:
        if ($?tcsh) then
          set prompt='%{\033]0;%n@%M:%c\007%}'"%{`tput bold``tput setaf 7``tput setab 1`%}"'[%n@%M %c]%#'"%{`tput sgr0`%} "
        endif
        breaksw
      case screen:
        if ($?tcsh) then
          set prompt='%{\033k%n@%M:%c\033\\%}'"%{`tput bold``tput setaf 7``tput setab 1`%}"'[%n@%M %c]%#'"%{`tput sgr0`%} "
        endif
        breaksw
      default:
        breaksw
    endsw
  endif
endif
